Forum Thread: PSI 3.0.0.11 Recommends Wrong Update for iTunes (Vista SP2)

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
PSI

This thread has been marked as locked.
lmacri PSI 3.0.0.11 Recommends Wrong Update for iTunes (Vista SP2)
Member 20th Oct, 2016 15:41
Ranking: 47
Posts: 99
User Since: 9th Sep, 2009
System Score: N/A
Location: CA
Last edited on 21st Oct, 2016 04:51

I recently installed PSI v3.0.0.11005 on a 32-bit Vista SP2 computer. My Update Handling setting is currently set to Notify (Not recommended).

PSI is incorrectly recommending that I upgrade my 32-bit iTunes from v12.1.3.6 (32-bit) to v12.5.1 (32-bit). iTunes v12.1.3.6 (released 16-Sep-2015) was the last release of iTunes that is compatible with XP SP3 and Vista SP2 - all versions of iTunes released since v12.1.3.6 are only compatible with Win 7 and higher. I confirmed by running the internal updater in iTunes (Help | Check for Updates) and it reports "This version of iTunes (12.1.3) is the current version". This is also confirmed in turingtest2's FAQ Troubleshooting Issues with iTunes for Windows Updates at https://discussions.apple.com/docs/DOC-6562#versio... which states that "iTunes 12.2 and later versions require Windows 7 or later".

PSI should be updated so that XP SP3 and Vista SP2 users (both 32-bit and 64-bit) see "End of life" in the Criticality column if they have v12.1.3.6 and should not be prompted to install a newer version.

--
32-bit Vista Home Premium SP2 * FF ESR v52.9.0 * NS v22.15.1.8 * PSI v3.0.0.11005

No one has replied to this thread yet - be the first
This thread has been marked as locked.